com.fasterxml.jackson.dataformat.protobuf

## Class ProtobufFactoryBuilder

- java.lang.Object
- - com.fasterxml.jackson.core.TSFBuilder<ProtobufFactory,ProtobufFactoryBuilder>
  - - com.fasterxml.jackson.dataformat.protobuf.ProtobufFactoryBuilder

-     public class ProtobufFactoryBuilder
      extends com.fasterxml.jackson.core.TSFBuilder<ProtobufFactory,ProtobufFactoryBuilder>

  `TSFBuilder` implementation for constructing `ProtobufFactory` instances.
  Since:
    3.0

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.core.TSFBuilder

      `_factoryFeatures, _inputDecorator, _outputDecorator, _streamReadFeatures, _streamWriteFeatures, DEFAULT_FACTORY_FEATURE_FLAGS, DEFAULT_GENERATOR_FEATURE_FLAGS, DEFAULT_PARSER_FEATURE_FLAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtobufFactoryBuilder()`
    `ProtobufFactoryBuilder(ProtobufFactory base)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProtobufFactory` | `build()`

    - ### Methods inherited from class com.fasterxml.jackson.core.TSFBuilder

      `_legacyDisable, _legacyDisable, _legacyEnable, _legacyEnable, _this, configure, configure, configure, configure, configure, disable, disable, disable, disable, disable, disable, disable, disable, disable, enable, enable, enable, enable, enable, enable, enable, enable, enable, factoryFeaturesMask, inputDecorator, inputDecorator, outputDecorator, outputDecorator, streamReadFeatures, streamWriteFeatures`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtobufFactoryBuilder

          public ProtobufFactoryBuilder()

    - #### ProtobufFactoryBuilder

          public ProtobufFactoryBuilder(ProtobufFactory base)

  - ### Method Detail

    - #### build

          public ProtobufFactory build()

      Specified by:
        `build` in class `com.fasterxml.jackson.core.TSFBuilder<ProtobufFactory,ProtobufFactoryBuilder>`

Copyright © 2019 FasterXML. All rights reserved.